Loading...
Searching...
No Matches
Ogre::ProfileSessionListener Class Referenceabstract
Core » General

ProfileSessionListener should be used to visualize profile results. More...

`#include <OgreProfiler.h>`

Inheritance diagram for Ogre::ProfileSessionListener:
[legend]

## Public Member Functions

virtual | ~ProfileSessionListener ()
virtual void | changeEnableState (bool enabled)
| If the profiler disables this listener then it should hide its panels (if any exists) or stop sending data over the network.
virtual void | displayResults (const ProfileInstance &instance, ulong maxTotalFrameTime)
| Here we get the real profiling information which we can use.
virtual void | finializeSession ()=0
| All internal resources should be deleted here.
virtual void | initializeSession ()=0
| Create the internal resources.

## Detailed Description

ProfileSessionListener should be used to visualize profile results.

Concrete impl. could be done using Overlay's but its not limited to them you can also create a custom listener which sends the profile informtaion over a network.

## Constructor & Destructor Documentation

## ~ProfileSessionListener()

virtual Ogre::ProfileSessionListener::~ProfileSessionListener | ( |  | ) |

inline virtual

## Member Function Documentation

## initializeSession()

virtual void Ogre::ProfileSessionListener::initializeSession | ( |  | ) |

pure virtual

Create the internal resources.

Implemented in Ogre::OverlayProfileSessionListener.

## finializeSession()

virtual void Ogre::ProfileSessionListener::finializeSession | ( |  | ) |

pure virtual

All internal resources should be deleted here.

Implemented in Ogre::OverlayProfileSessionListener.

## changeEnableState()

virtual void Ogre::ProfileSessionListener::changeEnableState | ( | bool | enabled | ) |

inline virtual

If the profiler disables this listener then it should hide its panels (if any exists) or stop sending data over the network.

Reimplemented in Ogre::OverlayProfileSessionListener.

## displayResults()

virtual void Ogre::ProfileSessionListener::displayResults | ( | const ProfileInstance & | instance,
|  | ulong | maxTotalFrameTime )

inline virtual

Here we get the real profiling information which we can use.

Reimplemented in Ogre::OverlayProfileSessionListener.

The documentation for this class was generated from the following file:

- OgreProfiler.h